Skip to main content
Webhooks allow you to monitor Box content for events, and receive notifications to a URL of your choice when they occur.

Webhook

Represents a configured webhook.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this webhook.
typeenum<string>NoThe value will always be webhook. Available options: webhook.
targetobjectNoThe item that will trigger the webhook.
created_byUser (Mini)NoThe user who created the webhook.
created_atstringNoA timestamp identifying the time that the webhook was created.
addressstringNoThe URL that is notified by this webhook.
triggersarray of enum<string>NoAn array of event names that this webhook is to be triggered for.
Example
{
  "id": "11446498",
  "type": "webhook",
  "target": {
    "id": "1231232",
    "type": "file"
  },
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "address": "https://example.com/webhooks",
  "triggers": [
    "FILE.UPLOADED"
  ]
}

Webhook (Mini)

Represents a configured webhook. This is a subset of the webhook object.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this webhook.
typeenum<string>NoThe value will always be webhook. Available options: webhook.
targetobjectNoThe item that will trigger the webhook.
Example
{
  "id": "11446498",
  "type": "webhook",
  "target": {
    "id": "1231232",
    "type": "file"
  }
}

Webhooks

A list of webhooks.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Webhook (Mini)NoA list of webhooks.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "11446498",
      "type": "webhook",
      "target": {
        "id": "1231232",
        "type": "file"
      }
    }
  ]
}
Last modified on July 9, 2026